Set size overrides

Auth

Applies size overrides for the given instances belonging to the given resource. Instance size overrides will be reset with the next plan change.

Path parameters

deployment_id string required

Identifier for the Deployment.

resource_kind string required

The kind of resource. Only Elasticsearch resources are currently supported.

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

instance_ids string[] required

A comma-separated list of instance identifiers.

Query parameters

restart_after_update boolean · default: false

After overrides are set, restarts the instance to apply the changes.

ignore_missing boolean · default: false

When false and a specified instance is missing, will return an error and not update any instances. When true will update only existing instances and not treat a missing instance as an error.

Request body

The overrides to apply to the given instances. Capacity overrides the RAM size in MB of the instance, and storage multipler overrides the multiplier of the instance RAM size that determines the storage quota of the instance. Capacity must be in the range [1024, <<instance configuration max increment, typically 65536>>] and storage multiplier must be in the range [1.0, 1000.0].

capacity integer · format: int32

Sets the memory capacity for the instances container. Requires a restart to take effect.

storage_multiplier number · format: double

Overrides the disk quota multiplier for the instance

Responses

The updated overrides

application/json
capacity integer · format: int32

Sets the memory capacity for the instances container. Requires a restart to take effect.

storage_multiplier number · format: double

Overrides the disk quota multiplier for the instance